Skip to Content
Drip Docs
API referenceUpdates

Get updates

Updates this user would see in the app. Omit limit for 25, or 10 when detail is full. An item_ids follow-up is not paged.

GET
/v1/workspaces/{id}/updates

Updates this user would see in the app. Omit limit for 25, or 10 when detail is full. An item_ids follow-up is not paged.

Authorization

bearerAuth
headerAuthorizationBearer <drip_live>

An API key from Drip settings. Send it as Authorization: Bearer drip_live_… . The key is shown once.

Path Parameters

id*integer

Workspace id.

Query Parameters

since?string

YYYY-MM-DD or a relative window such as 7d.

until?string

End of the window. Defaults to now.

since_cursor?string

A previous response's sync_cursor.

group_ids?array<integer>

Group or tracked-item ids.

company_ids?array<integer>

Only updates about these companies.

person_ids?array<integer>

Only updates about these people.

categories?array<string>

Event categories, such as funding.

include_mentions?boolean

Include mentions-only items.

detail?string

headlines, compact or full.

limit?integer

Page size.

cursor?string

next_cursor from a previous page.

item_ids?array<string>

Up to 50 upd: ids from a headlines response.

Response Body

status ok, no_results, no_material_updates, partial or not_covered. Branch on status.

application/json
  1. response
complete*boolean
count*number
coverage*
detail*string
groups*array<>
has_more*boolean
next_cursor*null|string
scope*
status*string
sync_cursor*string
total*number
window*
Example Request
curl -X GET 'https://api.joindrip.ai/v1/workspaces/0/updates'
Example Response
{  "complete": true,  "count": 0,  "coverage": {    "checked": "string",    "daily_runs": "string",    "not_covered": [      "string"    ],    "note": "string"  },  "detail": "string",  "groups": [    {      "group": {        "group_id": 0,        "kind": "string",        "name": "string"      },      "mentions": [        {          "entity": {            "id": 0,            "name": "string",            "type": "string"          },          "items": [            {              "context": "string",              "date": "string",              "evidence_id": "string",              "is_news": true,              "source": "string",              "title": "string"            }          ]        }      ],      "tracked": [        {          "tracked_item": {            "company_id": 0,            "id": 0,            "name": "string",            "total_updates": 0,            "type": "string"          },          "updates": [            {              "categories": [                "string"              ],              "context": {                "key_prior_events": [                  {                    "date": "string",                    "evidence_id": "string",                    "summary": "string"                  }                ],                "storyline": {                  "earlier_events": 0,                  "first_seen": "string"                },                "why_it_matters": "string"              },              "date": "string",              "evidence": [                {                  "description_card": "string",                  "entities": [                    {                      "company": "string",                      "domain": "string",                      "id": 0,                      "name": "string",                      "role": "string",                      "ticker": "string",                      "title": "string",                      "tracked": true,                      "type": "string"                    }                  ],                  "event_date": "string",                  "evidence_id": "string",                  "headline": "string",                  "key_points": [                    "string"                  ],                  "kind": "string",                  "linked_text": "string",                  "source_count": 0,                  "sources": [                    {                      "clip": {                        "audio_url": "string",                        "content_section_id": 0,                        "deep_link": "string",                        "end_seconds": 0,                        "speakers": [                          {                            "authority": {},                            "functions": [                              null                            ],                            "name": "string",                            "person_id": 0,                            "role": "string",                            "seniority": "string",                            "title": "string"                          }                        ],                        "start_seconds": 0                      },                      "is_primary": true,                      "outlet": "string",                      "published": "string",                      "source_type": "string",                      "title": "string",                      "url": "string"                    }                  ],                  "type": "string"                }              ],              "headline": "string",              "is_news": true,              "item_id": "string",              "summary": "string",              "website_update": true,              "why": "string"            }          ]        }      ]    }  ],  "has_more": true,  "next_cursor": null,  "scope": {    "filters": {},    "tool": "string",    "workspace_id": 0,    "workspace_name": "string"  },  "status": "string",  "sync_cursor": "string",  "total": 0,  "window": {    "label": "string",    "since": "string",    "until": "string"  }}